Name:		mapserver-demo
Version:	3.5
Release:	%mkrel 7
Summary:	Demo Data for Mapserver
Source:		http://mapserver.gis.umn.edu/dist/itasca%{version}.tar.gz
Patch:		mapserver-demo-webserver-paths.patch
URL:		http://mapserver.gis.umn.edu/
License:	GPL
Group:		Sciences/Geosciences
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mapserver
BuildRequires:	imagemagick
Buildarch:	noarch

%description
MapServer is an  OpenSource development environment for building spatially 
enabled Internet applications. The software builds upon other popular 
OpenSource or freeware systems like Shapelib, FreeType, Proj.4, libTIFF, 
Perl and others.

This package provides the Mapserver demo data, and should be accessible
as http://localhost/mapserver/itasca on the machine it is installed on.

%prep
%setup -q -c
%patch -b .orig
find . -type d -name 'CVS' -exec rm -Rf {} \; >/dev/null 2>&1 ||:
for i in itasca/*/*.gif;do convert $i `echo $i|sed -e 's/gif/png/g'`;done
perl -pi -e 's/\.gif/\.png/g' itasca/demo.map
cp itasca/demo_init.html itasca/index.html

%build

%install
mkdir -p %{buildroot}/%{_var}/www/html/mapserver
cp -a itasca %{buildroot}/%{_var}/www/html/mapserver
find %{buildroot}/%{_var}/ -name '*.pl' -exec rm -f {} \;

%files
%defattr(-,root,root)
%{_var}/www/html/mapserver/*
#%doc INSTALL README HISTORY.TXT

%clean
rm -Rf %{buildroot}



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.5-7mdv2011.0
+ Revision: 620294
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 3.5-6mdv2010.0
+ Revision: 439769
- rebuild

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 3.5-5mdv2009.1
+ Revision: 313198
- lowercase ImageMagick

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 3.5-5mdv2009.0
+ Revision: 251881
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 3.5-3mdv2008.1
+ Revision: 168066
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 3.5-3mdv2008.0
+ Revision: 70399
- use %%mkrel


* Sat Aug 09 2003 Buchan Milne <bgmilne@linux-mandrake.com> 3.5-2mdk
- Convert one more gif to png
- Include url the server should be accessible from in the description

* Tue Mar 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 3.5-1mdk
- First Mandrake package

